ApiManagementSso apps
POST
/v1/mgmt/sso/idp/app/customattribute/create

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

attributes?array<CustomAttribute>

Create or update SSO application custom attribute definitions, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/customattribute/create" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "name": "string",      "type": 0,      "options": [        {          "value": "string",          "label": "string"        }      ],      "displayName": "string",      "defaultValue": {        "@type": "string"      },      "viewPermissions": [        "string"      ],      "editPermissions": [        "string"      ],      "editable": true    }  ],  "total": "string"}
export interface Response {data?: CustomAttribute[]total?: string}/** * this object is used in project exports, make sure any changes here *  are also applied in managementservice */export interface CustomAttribute {name?: stringtype?: numberoptions?: CustomAttributeOption[]displayName?: stringdefaultValue?: GoogleProtobufviewPermissions?: string[]editPermissions?: string[]/** * this is to know if this specific user can edit this specific field */editable?: boolean}/** * Custom Attributes */export interface CustomAttributeOption {value?: stringlabel?: string}/** * Contains an arbitrary serialized message along with a @type that describes the type of the serialized message. */export interface GoogleProtobuf {/** * The type of the serialized message. */"@type"?: string[k: string]: unknown}
Was this helpful?